Special:Recentchangeslinked for particular categories
Closed, ResolvedPublic

Description

Author: xmlizer

Description:
the Special:Recentchangeslinked page is very useful, but it will become
optimally useful if we can use it over a Category
You could see all the recent changes over the pages included in the category


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 6:42 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz144.
bzimport created this task.Via LegacyAug 16 2004, 2:43 PM
bzimport added a comment.Via ConduitNov 8 2004, 6:28 PM

rowan.collins wrote:

*** Bug 827 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitNov 16 2004, 3:26 AM

gangleri wrote:

See also: [[:en:User talk:IMSoP#Information managment]] (including addendum)

Regards Reinhardt

bzimport added a comment.Via ConduitNov 16 2004, 3:34 AM

gangleri wrote:

Sorry about the wong link (before)!

  • the starting colon was generating a "Bad title"
  • space(s) in the "anchor" must be replaced with underschores

See also: [[en:User talk:IMSoP#Information_managment]] (including addendum)

Regards Reinhardt

bzimport added a comment.Via ConduitNov 20 2004, 12:37 AM

dkesh wrote:

Patch to allow related changes on categories.

This patch is very simple. If the page is in the category namespace, instead
of showing related changes for pages the page links to, it shows related
changes for pages that link to that page. It does not also show related
changes for pages linked to from the category.

attachment related.patch ignored as obsolete

Wikinaut added a comment.Via ConduitNov 20 2004, 12:40 AM

Will this go into CVS HEAD now ?

Wikinaut added a comment.Via ConduitNov 20 2004, 1:51 AM

Dan,

I am unsure, if this patch really works. I have applied it to MediaWiki 1.3.7
(and adapted the FROM ... in the select to the old statment layout), but it
does not give the wanted results.

Also when applied to CVS 1.4 it does not work, as the Category pages lack the
link "related changes" - instead a toolbox is shown.

Dan, please can you repair this, too ?

bzimport added a comment.Via ConduitNov 20 2004, 2:42 AM

dkesh wrote:

I am unsure, if this patch really works. I have applied it to MediaWiki 1.3.7
(and adapted the FROM ... in the select to the old statment layout), but it
does not give the wanted results.

As it's not a security feature, I assume it won't be accepted before 1.4 anyway.

Also when applied to CVS 1.4 it does not work, as the Category pages lack the
link "related changes" - instead a toolbox is shown.

I composed and tested it on a fresh install from CVS. Special:Version calls my
local version "1.4-prealpha".

"Related Changes" is in the toolbox for pages in the category namespace on my
CVS install. Are there plans to remove this?

bzimport added a comment.Via ConduitNov 20 2004, 3:57 AM

dkesh wrote:

Patch to allow related changes on all categories, ghost or otherwise

This is another version of the related changes patch. This version uses the
categorylinks table instead of the links table. It's probably a tad slower,
but you can see related changes on categories that have never been saved. It
can be backported to 1.3, unlike the first patch.

attachment relatedchanges-1.4.patch ignored as obsolete

bzimport added a comment.Via ConduitNov 21 2004, 2:43 AM

dkesh wrote:

Final version: this time, use getDBKey() instead of partialURL()

Final version, I promise. This time, use getDBKey() instead of partialURL().
Now works for all legal categories.

attachment relatedchanges-1.4.patch ignored as obsolete

Wikinaut added a comment.Via ConduitNov 22 2004, 7:10 AM

This patch is great, i like it. I am using the mw1.3.7/1.3.8 version.

You probably need to adjust the $days default value on your private wiki in
SpecialRelatedchanges.php to get a chance for the last recent changes of all
pages listed. For example, I have increased this value from 7 to 365.

Tom

brion added a comment.Via ConduitDec 3 2004, 7:53 AM

Note: don't use the posted patch as is on a public server, as it contains an SQL injection vulnerability.

I'll go ahead and merge a fixed version.

Wikinaut added a comment.Via ConduitDec 3 2004, 7:58 AM

Yes, please (soon, if possible). This patch is really great and useful.

brion added a comment.Via ConduitDec 3 2004, 8:17 AM

Created attachment 143
Patch as merged to REL1_4; with proper SQL escaping

Attached: rc-category.diff

bzimport added a comment.Via ConduitJan 2 2006, 6:04 AM

zigger wrote:

*** Bug 4442 has been marked as a duplicate of this bug. ***

Add Comment